Qyra
ReferenceUntagged

List AI agent memories

Get all AI agent memories for admin

GET/api/v1/aiAgents/admin/memories

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Query parameters

NameTypeRequiredDescription
pagenumberNo
pageSizenumberNo
projectUuidsarray[string]No
userUuidsarray[string]No
statusesarray[string]No
scopesarray[string]No
searchstringNo
sortFieldstringNo
sortDirectionstringNo

Responses

200 — Success

{
  "results": {
    "pagination": {
      "page": 0,
      "pageSize": 0,
      "totalResults": 0,
      "totalPageCount": 0
    },
    "data": {
      "memories": [
        {
          "generatedAt": "string",
          "lastPulledAt": "string",
          "pulledCount": 0,
          "lastCitedAt": "string",
          "citedCount": 0,
          "sourceThreadUuid": "string",
          "user": {
            "email": "string",
            "name": "string",
            "uuid": "string"
          },
          "agent": {
            "imageUrl": "string",
            "name": "string",
            "uuid": "string"
          },
          "project": {
            "name": "string",
            "uuid": "string"
          },
          "scope": "user",
          "status": "active",
          "summary": "string",
          "title": "string",
          "slug": "string",
          "uuid": "string"
        }
      ]
    }
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}